Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.prc.collaboration.discussion
Interface IDiscussionMessageFilter

All Superinterfaces:
  IFilter

public interface IDiscussionMessageFilter
extends IFilter

Filters used for querying Discussion messages. By default a discussion message filter will be set to give the largest possible result set. The various setter methods can be used to narrow the kinds of results to return.

Method Summary
`DiscussionMessageStatusFilterType` | `getMessageStatusType()` Returns the message status type.
`DiscussionMessageModeratorFilterType` | `getModeratorType()` Returns the discussion type filter.
`DiscussionMessageQueryOrder[]` | `getQueryOrders()` Returns the `DiscussionMessageQueryOrder` that the results will be returned in.
`void` | `setMessageStatusType(DiscussionMessageStatusFilterType messageStatus)` Sets the message status type.
`void` | `setModeratorType(DiscussionMessageModeratorFilterType moderatorType)` Sets the discussion type filter.
`void` | `setQueryOrders(DiscussionMessageQueryOrder[] queryOrders)` Sets the `DiscussionMessageQueryOrder` for the rows to return

Methods inherited from interface com.plumtree.remote.prc.collaboration.query.IFilter
`getMaximumResults, isRestoreSecurity, setMaximumResults, setRestoreSecurity`

Method Detail

### getMessageStatusType

    public DiscussionMessageStatusFilterType getMessageStatusType()

  Returns the message status type.

  Returns:
    the message status type.

### getModeratorType

    public DiscussionMessageModeratorFilterType getModeratorType()

  Returns the discussion type filter. When set only messages where the user is a moderator of the discussion will show up.

  Returns:
    the discussion type filter.

### getQueryOrders

    public DiscussionMessageQueryOrder[] getQueryOrders()

  Returns the `DiscussionMessageQueryOrder` that the results will be returned in.

  Returns:
    queryField an array of `DiscussionMessageQueryOrder`.

### setMessageStatusType

    public void setMessageStatusType(DiscussionMessageStatusFilterType messageStatus)

  Sets the message status type.

### setModeratorType

    public void setModeratorType(DiscussionMessageModeratorFilterType moderatorType)

  Sets the discussion type filter.

### setQueryOrders

    public void setQueryOrders(DiscussionMessageQueryOrder[] queryOrders)

  Sets the `DiscussionMessageQueryOrder` for the rows to return

  Parameters:
    `queryOrders` - and array of `DiscussionMessageQueryOrder`; cannot be `null` or of 0 length The rows will be returned as the order of the `DiscussionMessageQueryOrder` array.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more,see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.